Update Credit Line Item - m3ter Documentation
Update Credit Line Item
cURL
curl --request PUT \
--url https://api.m3ter.com/organizations/{orgId}/bills/{billId}/creditlineitems/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productId": "<string>",
"accountingProductId": "<string>",
"description": "<string>",
"amount": 1,
"referencedBillId": "<string>",
"referencedLineItemId": "<string>",
"servicePeriodStartDate": "2023-11-07T05:31:56Z",
"servicePeriodEndDate": "2023-11-07T05:31:56Z",
"version": 123,
"reasonId": "<string>",
"amountToApplyOnBill": 123,
"creditReasonId": "<string>"
}
'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/bills/{billId}/creditlineitems/{id}"
payload = {
"productId": "<string>",
"accountingProductId": "<string>",
"description": "<string>",
"amount": 1,
"referencedBillId": "<string>",
"referencedLineItemId": "<string>",
"servicePeriodStartDate": "2023-11-07T05:31:56Z",
"servicePeriodEndDate": "2023-11-07T05:31:56Z",
"version": 123,
"reasonId": "<string>",
"amountToApplyOnBill": 123,
"creditReasonId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript Fetch
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
productId: '<string>',
accountingProductId: '<string>',
description: '<string>',
amount: 1,
referencedBillId: '<string>',
referencedLineItemId: '<string>',
servicePeriodStartDate: '2023-11-07T05:31:56Z',
servicePeriodEndDate: '2023-11-07T05:31:56Z',
version: 123,
reasonId: '<string>',
amountToApplyOnBill: 123,
creditReasonId: '<string>'
})
};
fetch('https://api.m3ter.com/organizations/{orgId}/bills/{billId}/creditlineitems/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Examples
Successful Response (200)
{
"id": "<string>",
"version": 123,
"productId": "<string>",
"description": "<string>",
"servicePeriodStartDate": "2023-11-07T05:31:56Z",
"servicePeriodEndDate": "2023-11-07T05:31:56Z",
"referencedBillId": "<string>",
"referencedLineItemId": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"amount": 123,
"creditReasonId": "<string>"
}
Error Response
{
"message": "<string>"
}